mersenne-random-pure64-0.2.2.0: Generate high quality pseudorandom numbers purely using a Mersenne Twister

Safe Haskell | None
Language | Haskell98

System.Random.Mersenne.Pure64.Internal

Synopsis

- data PureMT = PureMT !MTBlock !Int MTBlock
- blockLen :: Int
- blockSize :: Int
- data MTBlock = MTBlock ByteArray#

# Documentation

data PureMT Source #

`PureMT`, a pure mersenne twister pseudo-random number generator

Constructors

PureMT !MTBlock !Int MTBlock |

#### Instances

Instances details

Show PureMT Source # |
Instance details Defined in System.Random.Mersenne.Pure64.Internal Methods showsPrec :: Int -> PureMT -> ShowS Source # show :: PureMT -> String Source # showList :: [PureMT] -> ShowS Source #
RandomGen PureMT Source # |

Instance details

Defined in System.Random.Mersenne.Pure64

Methods

next :: PureMT -> (Int, PureMT) Source #

genWord8 :: PureMT -> (Word8, PureMT) Source #

genWord16 :: PureMT -> (Word16, PureMT) Source #

genWord32 :: PureMT -> (Word32, PureMT) Source #

genWord64 :: PureMT -> (Word64, PureMT) Source #

genWord32R :: Word32 -> PureMT -> (Word32, PureMT) Source #

genWord64R :: Word64 -> PureMT -> (Word64, PureMT) Source #

genShortByteString :: Int -> PureMT -> (ShortByteString, PureMT) Source #

genRange :: PureMT -> (Int, Int) Source #

split :: PureMT -> (PureMT, PureMT) Source #

blockLen :: Int Source #

length of an MT block

blockSize :: Int Source #

size of an MT block, in bytes

data MTBlock Source #

Constructors

MTBlock ByteArray# |